API references
Search documentation... ⌘K
API references
Merchant API

Find a refund

Retrieves a specific refund by its unique identifier.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-refund HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
refund_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
refund_id string

Required. The unique identifier of the refund to retrieve (starting with 'rfn_').

Response attributes
Attribute Description
refund_id
string

The ID of the refund.

payment_id
string

The ID of the original payment.

status
string

The current status of the refund.

amount
number

The refund amount in subunits.

currency
string

The currency code of the refund.

created_at
number

When the refund was created.

refunded_at
number

Nullable. When the refund was completed.

full
boolean

Whether the refund fully covers the original payment amount.

Errors specific to this endpoint
NOT_FOUND

This error occurs when no refund with the provided ID exists in your merchant account. Double check that you're using the correct refund ID.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.